
QGIS Application - Bug report #442

display not updated when re-arranging layers order

2006-12-11 11:23 AM - Redmine Admin

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: Map Legend

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10501

Description

While re-arranging layers order, the user has to release the mouse exactly over some layer already present on the list. If he fails to, the

display is not updated although the order of layers has changed.

1. add 2 layers

2. drag the top layer to the bottom - but don't release the mouse key, until the mouse pointer,  is few pixels below the the last layer on the

list (relase the mouse eg. where the "!!!" is, on the attached screendump)

3. see how the display is not updated; pressing Refresh doesn't help

Maciek

History

#1 - 2006-12-13 02:29 AM - Marco Hugentobler

- Resolution set to fixed

- Status changed from Open to Closed

fixed in commit:19d95b31 (SVN r6250).

#2 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
